io.agora.rtc

## Class LastmileProbeResult

- java.lang.Object
- - io.agora.rtc.LastmileProbeResult

-     public class LastmileProbeResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LastmileProbeOneWayResult` | `downlinkReport`
    `private int` | `rtt`
    `private int` | `state`
    `private LastmileProbeOneWayResult` | `uplinkReport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastmileProbeResult()`
    `LastmileProbeResult(int state, LastmileProbeOneWayResult uplinkReport, LastmileProbeOneWayResult downlinkReport, int rtt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LastmileProbeOneWayResult` | `getDownlinkReport()`
    `int` | `getRtt()`
    `int` | `getState()`
    `LastmileProbeOneWayResult` | `getUplinkReport()`
    `void` | `setDownlinkReport(LastmileProbeOneWayResult downlinkReport)`
    `void` | `setRtt(int rtt)`
    `void` | `setState(int state)`
    `void` | `setUplinkReport(LastmileProbeOneWayResult uplinkReport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### state

          private int state

    - #### uplinkReport

          private LastmileProbeOneWayResult uplinkReport

    - #### downlinkReport

          private LastmileProbeOneWayResult downlinkReport

    - #### rtt

          private int rtt

  - ### Constructor Detail

    - #### LastmileProbeResult

          public LastmileProbeResult()

    - #### LastmileProbeResult

          public LastmileProbeResult(int state,
                                     LastmileProbeOneWayResult uplinkReport,
                                     LastmileProbeOneWayResult downlinkReport,
                                     int rtt)

  - ### Method Detail

    - #### getState

          public int getState()

    - #### setState

          public void setState(int state)

    - #### getUplinkReport

          public LastmileProbeOneWayResult getUplinkReport()

    - #### setUplinkReport

          public void setUplinkReport(LastmileProbeOneWayResult uplinkReport)

    - #### getDownlinkReport

          public LastmileProbeOneWayResult getDownlinkReport()

    - #### setDownlinkReport

          public void setDownlinkReport(LastmileProbeOneWayResult downlinkReport)

    - #### getRtt

          public int getRtt()

    - #### setRtt

          public void setRtt(int rtt)